QuantLib: AnalyticCapFloorEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | List of all members
AnalyticCapFloorEngine Class Reference
Pricing engines » Cap/floor engines

Analytic engine for cap/floor. More...

`#include <ql/pricingengines/capfloor/analyticcapfloorengine.hpp>`

Inheritance diagram for AnalyticCapFloorEngine:
[legend]

## Public Member Functions
| AnalyticCapFloorEngine (const boost::shared_ptr< AffineModel > &model, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
void | calculate () const
Public Member Functions inherited from GenericModelEngine< AffineModel, CapFloor::arguments, CapFloor::results >
| GenericModelEngine (const Handle< AffineModel > &model=Handle< AffineModel >())
| GenericModelEngine (const boost::shared_ptr< AffineModel > &model)
Public Member Functions inherited from GenericEngine< CapFloor::arguments, CapFloor::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericModelEngine< AffineModel, CapFloor::arguments, CapFloor::results >
Handle< AffineModel > | model_
Protected Attributes inherited from GenericEngine< CapFloor::arguments, CapFloor::results >
CapFloor::arguments | arguments_
CapFloor::results | results_

## Detailed Description

Analytic engine for cap/floor.

## Constructor & Destructor Documentation

## ◆ AnalyticCapFloorEngine()

AnalyticCapFloorEngine | ( | const boost::shared_ptr< AffineModel > & | model,
|  | const Handle< YieldTermStructure > & | termStructure = `Handle< YieldTermStructure >()`
| ) |  |

Note
  the term structure is only needed when the short-rate model cannot provide one itself.